package org.enfi.modules.visitor.entity;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.Map;

public class EnFiPage<T> extends Page<T> {
    private Map Params;

    public EnFiPage() {
    }

    public Map getParams() {
        return Params;
    }

    public void setParams(Map params) {
        Params = params;
    }

    public EnFiPage(long current, long size) {
        super(current, size);
    }

    public EnFiPage(long current, long size, long total) {
        super(current, size, total);
    }

    public EnFiPage(long current, long size, boolean searchCount) {
        super(current, size, searchCount);
    }

    public EnFiPage(long current, long size, long total, boolean searchCount) {
        super(current, size, total, searchCount);
    }
}
